%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

#global tag    x.y.z
%global commit ffc634d9adc8ebf5c6cc6cd5002233c4ab233798

Name:           ocaml-ssl
Version:        0.7.0
Release:        %mkrel 0.20230714.1
Summary:        SSL bindings for OCaml

Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/savonet/ocaml-ssl
Source0:        https://github.com/savonet/ocaml-ssl/archive/%commit/%{name}-%{commit}.tar.gz

BuildRequires:  ocaml >= 4.03.0
BuildRequires:  ocaml-alcotest-devel
BuildRequires:  ocaml-dune >= 2.7
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  gawk
Requires:       openssl

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{commit}

%build
%dune_build


%install
%dune_install


%check
%dune_check


%files -f .ofiles
%doc CHANGES.md README.md
%license COPYING


%files devel -f .ofiles-devel


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.7.0-0.20230714.1.mga10
+ Revision: 2193819
- new version: 0.7.0

* Thu Oct 20 2022 pterjan <pterjan> 0.5.11-1.mga9
+ Revision: 1898056
- Update to 0.5.11

* Thu May 19 2022 pterjan <pterjan> 0.5.9-9.mga9
+ Revision: 1859020
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.5.9-8.mga9
+ Revision: 1833174
- Mageia 9 Mass Rebuild

* Thu Oct 14 2021 tv <tv> 0.5.9-7.mga9
+ Revision: 1751432
- Rebuild for ocaml 4.13.1

* Sat Oct 02 2021 wally <wally> 0.5.9-6.mga9
+ Revision: 1747891
- rebuild for openssl 3.0.0

* Thu Mar 25 2021 tv <tv> 0.5.9-5.mga9
+ Revision: 1709717
- Rebuild for ocaml-4.12

* Sun Jan 10 2021 pterjan <pterjan> 0.5.9-4.mga8
+ Revision: 1670480
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.5.9-3.mga8
+ Revision: 1551502
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.5.9-2.mga8
+ Revision: 1543719
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.5.9-1.mga8
+ Revision: 1482155
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 0.5.5-4.mga7
+ Revision: 1324066
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.5.5-3.mga7
+ Revision: 1323781
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.5.5-2.mga7
+ Revision: 1299933
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.5.5-1.mga7
+ Revision: 1179928
- new release

* Fri Sep 08 2017 guillomovitch <guillomovitch> 0.5.3-1.mga7
+ Revision: 1151866
- new version 0.5.3

* Mon Sep 26 2016 pterjan <pterjan> 0.5.2-3.mga6
+ Revision: 1056443
- Rebuild for fix in ocaml

* Thu Mar 03 2016 umeabot <umeabot> 0.5.2-2.mga6
+ Revision: 983849
- Rebuild for openssl

* Sun Jan 31 2016 pterjan <pterjan> 0.5.2-1.mga6
+ Revision: 929667
- Update to 0.5.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.6-11.mga5
+ Revision: 745289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.6-10.mga5
+ Revision: 683110
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 0.4.6-9.mga5
+ Revision: 646110
+ rebuild (emptylog)

* Sat Oct 19 2013 umeabot <umeabot> 0.4.6-9.mga4
+ Revision: 533925
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.4.6-8.mga4
+ Revision: 475782
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.4.6-7.mga3
+ Revision: 361640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.4.6-6.mga3
+ Revision: 324087
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.6-5.mga3
+ Revision: 301413
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.4.6-3.mga3
+ Revision: 300414
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 0.4.6-2.mga2
+ Revision: 176047
- spec clean-up
- remove Requires on openssl-devel

* Sun Nov 20 2011 malo <malo> 0.4.6-1.mga2
+ Revision: 169944
- new version 0.4.6
- missing Requires openssl-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.4.5-2.mga2
+ Revision: 151097
- Rebuild for new OCaml - thanks to Malo.

* Wed Sep 21 2011 shlomif <shlomif> 0.4.5-1.mga2
+ Revision: 146509
- Updated to 0.4.5-1 - thanks to Malo

* Fri Apr 08 2011 ennael <ennael> 0.4.4-2.mga1
+ Revision: 82430
- clean spec file
- imported package ocaml-ssl


* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 0.4.4-2mdv2010.1
+ Revision: 535264
- rebuild for openssl

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 522812
- update to new version 0.4.4

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-3mdv2010.1
+ Revision: 496363
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-2mdv2010.0
+ Revision: 389925
- rebuild

* Tue Feb 03 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 337170
- updated version

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 326276
- import ocaml-ssl


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 0.4.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.11) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-ssl/ocaml-ssl.spec
